%define module discid

Name:           python-%{module}
Version:        1.2.0
Release:        %mkrel 1
License:        LGPLv3+
Group:          Development/Python
Summary:        Python binding of Libdiscid
Url:            https://python-discid.readthedocs.org/
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  lib64discid-devel

%description
Python-discid implements Python bindings for MusicBrainz Libdiscid.

Libdiscid's main purpose is the calculation of an identifier of audio
discs (disc ID) to use for the `MusicBrainz database.

That identifier is calculated from the TOC of the disc, similar to the
freeDB CDDB identifier. Libdiscid can calculate MusicBrainz disc IDs and
freeDB disc IDs.
Additionally the MCN of the disc and ISRCs from the tracks can be extracted.

This module is a close binding that offloads all relevant data
storage and calculation to Libdiscid. On the other hand it gives a
pythonic API and uses objects and exceptions.

%package -n python3-%{module}
Summary:        Python 3 binding of Libdiscid
Group:          Development/Python
BuildArch:      noarch
Requires:       libdiscid

%description -n python3-%{module}
Python2-discid implements Python 3 bindings for MusicBrainz Libdiscid.

Libdiscid's main purpose is the calculation of an identifier of audio
discs (disc ID) to use for the `MusicBrainz database.

That identifier is calculated from the TOC of the disc, similar to the
freeDB CDDB identifier. Libdiscid can calculate MusicBrainz disc IDs and
freeDB disc IDs.
Additionally the MCN of the disc and ISRCs from the tracks can be extracted.

This module is a close binding that offloads all relevant data
storage and calculation to Libdiscid. On the other hand it gives a
pythonic API and uses objects and exceptions.

%prep
%setup -qn %{module}-%{version}

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

%files -n python3-%{module}
%doc CHANGES.rst README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/*.egg-info

%changelog
* Sun Mar 13 2022 TerryN <terryn94 at gmail.com> 1.2.0-1pclos2022
- update and rebuild for python 3.10

* Thu Feb 14 2019 tex 1.1.1-1pclos2019
- new
